Hacking Firmware status

Lacius

Well-Known Member
Member
Joined
May 11, 2008
Messages
17,350
Trophies
2
XP
16,528
Country
United States
Last edited by Lacius,
  • Like
Reactions: Preem

namad

Well-Known Member
Member
Joined
Sep 1, 2015
Messages
129
Trophies
0
Age
39
XP
157
Country
United States
No, it does not run on 3.0.1-3.0.2.

Edit: I recommend this guide for what you can do with different system versions: https://switch.homebrew.guide/gettingstarted/choosinganexploit

Thanks I was actually reading that website, but since no one had recommended it to me here on gbatemp I wasn't sure if I could trust it! Glad to know I can. (I actually asked these questions here on gbatemp after reading about these new exploits I hadn't heard of before on that other site you linked. I was basically trying to confirm what it said. But of course I was misunderstanding it pretty badly at the same time!)
 

simsimsim

Well-Known Member
Member
Joined
May 16, 2018
Messages
244
Trophies
0
Age
28
XP
714
Country
Canada
damn...it doesn't seem we are making much visible progress on the patched units front. Nintendo seems to have done a good job protecting the new units.
 
  • Like
Reactions: Bigkahuna28

DeathReaper666

Well-Known Member
Newcomer
Joined
Sep 18, 2017
Messages
64
Trophies
0
Age
33
XP
774
Country
United States
damn...it doesn't seem we are making much visible progress on the patched units front. Nintendo seems to have done a good job protecting the new units.
something will happen eventually but if nothing happens by next year i may end up biting the bullet and dropping the extra 100-200 bucks for a unpatched switch my games just arent as fun without being able to cheat i cant seem to find the urge to play three houses anymore its hard to want to play it with how bad ng+ was implemented and how scarcely renown is given out
 

Lacius

Well-Known Member
Member
Joined
May 11, 2008
Messages
17,350
Trophies
2
XP
16,528
Country
United States
something will happen eventually but if nothing happens by next year i may end up biting the bullet and dropping the extra 100-200 bucks for a unpatched switch my games just arent as fun without being able to cheat i cant seem to find the urge to play three houses anymore its hard to want to play it with how bad ng+ was implemented and how scarcely renown is given out
Patched units are very secure, and one should not expect more than the following progress:
  1. Patched systems on 4.1.0 are hackable now with Deja Vu as long as the Switch has never connected to the internet (without being protected by 90DNS or PegaScape).
  2. Patched systems on 5.0.0-7.0.1 might be hackable someday in the distant future. The wait will likely be long enough that selling the system and getting an unpatched one is recommended.
  3. Patched systems on 8.0.0 and higher will probably never be hackable.
 

DeathReaper666

Well-Known Member
Newcomer
Joined
Sep 18, 2017
Messages
64
Trophies
0
Age
33
XP
774
Country
United States
Patched units are very secure, and one should not expect more than the following progress:
  1. Patched systems on 4.1.0 are hackable now with Deja Vu as long as the Switch has never connected to the internet (without being protected by 90DNS or PegaScape).
  2. Patched systems on 5.0.0-7.0.1 might be hackable someday in the distant future. The wait will likely be long enough that selling the system and getting an unpatched one is recommended.
  3. Patched systems on 8.0.0 and higher will probably never be hackable.
sorry thats not me i try to find the bright side of any situation i find myself in no matter how grim it may seem even if its a decade form now it will happen eventually nothing is unhackable
 

Lacius

Well-Known Member
Member
Joined
May 11, 2008
Messages
17,350
Trophies
2
XP
16,528
Country
United States
sorry thats not me i try to find the bright side of any situation i find myself in no matter how grim it may seem even if its a decade form now it will happen eventually nothing is unhackable
That is idealism, not realism. In reality, there's no reason to think that ipatched Switch systems on 8.0.0 and higher will "eventually be hacked." Nintendo did a great job with security this time around, and even SciresM says it's probably not going to happen.
 

Ranford

Active Member
Newcomer
Joined
Mar 30, 2017
Messages
29
Trophies
0
Age
23
XP
163
Country
Russia
Patched units are very secure, and one should not expect more than the following progress:
  1. Patched systems on 4.1.0 are hackable now with Deja Vu as long as the Switch has never connected to the internet (without being protected by 90DNS or PegaScape).
  2. Patched systems on 5.0.0-7.0.1 might be hackable someday in the distant future. The wait will likely be long enough that selling the system and getting an unpatched one is recommended.
  3. Patched systems on 8.0.0 and higher will probably never be hackable.

Hm. Any suggestions on a place where I could buy an unpatched switch? In my city, everything is already patched.
 

Lacius

Well-Known Member
Member
Joined
May 11, 2008
Messages
17,350
Trophies
2
XP
16,528
Country
United States
Hm. Any suggestions on a place where I could buy an unpatched switch? In my city, everything is already patched.
  1. Get a used Switch, perhaps at a local small business
  2. Get a used Switch that's banned, if you don't care about online play
  3. Check the serial number before making any purchase
There are unpatched units still out there. In addition, if you just can't find anything other than patched systems, check the serial number for one that is on 4.1.0 (if you're buying new). However, unpatched is highly recommended.
 

riahc3

Well-Known Member
Member
Joined
Dec 17, 2008
Messages
301
Trophies
0
XP
349
Country
United States
Patched units are very secure, and one should not expect more than the following progress:
  1. Patched systems on 4.1.0 are hackable now with Deja Vu as long as the Switch has never connected to the internet (without being protected by 90DNS or PegaScape).
  2. Patched systems on 5.0.0-7.0.1 might be hackable someday in the distant future. The wait will likely be long enough that selling the system and getting an unpatched one is recommended.
  3. Patched systems on 8.0.0 and higher will probably never be hackable.

  1. Patched systems on 8.0.0 and higher will probably never be hackable.

This is a huge statement to make...
 

Lacius

Well-Known Member
Member
Joined
May 11, 2008
Messages
17,350
Trophies
2
XP
16,528
Country
United States
This is a huge statement to make...
That doesn't make it any less true. If you understand the security Nintendo has in place on the Switch, you will understand that, in the absence of another hardware vulnerability, 8.0.0 and higher is extremely difficult to hack.

If you have a problem with stating that patched systems on 8.0.0 and higher will probably never be hacked, take it up with SciresM. He agrees.
 

KnightRiderX420

The Anigmatic Anomoly
Member
Joined
Nov 24, 2018
Messages
151
Trophies
0
Age
45
Location
U.S.A.
Website
www.beyondwindows10.com
XP
593
Country
United States
I have an issue. I was overzealous and for quite a while was geting nothing but unpatched units... till yesturday that day came.... got a new on in box.... it failed serial numver checker website then i tried the tegrarcm test ant it got all 000000 so failed there 2. it wont even let me play the 1 xart i got wich is sonic racing without demanding an update just to use the slot... it doesnt even put the icon on the screen it says " to enable cartridges your system must be upgraded.

if thats so then people who stay on fw 4.1 or in my case 5.1 or lower cant use the game slot? I just never ran into this b4. and also now that i have this switch. i'll ask the redundant question any news about fw 5.1 hacking status? the diagram here has a yellow check and says partialy patched. i need more clarification please.
 

pLaYeR^^

Doctor Switch
Member
Joined
Sep 18, 2014
Messages
3,132
Trophies
1
Age
24
Location
Austria
XP
3,046
Country
Austria
I have an issue. I was overzealous and for quite a while was geting nothing but unpatched units... till yesturday that day came.... got a new on in box.... it failed serial numver checker website then i tried the tegrarcm test ant it got all 000000 so failed there 2. it wont even let me play the 1 xart i got wich is sonic racing without demanding an update just to use the slot... it doesnt even put the icon on the screen it says " to enable cartridges your system must be upgraded.

if thats so then people who stay on fw 4.1 or in my case 5.1 or lower cant use the game slot? I just never ran into this b4. and also now that i have this switch. i'll ask the redundant question any news about fw 5.1 hacking status? the diagram here has a yellow check and says partialy patched. i need more clarification please.
Sometims games need a certain firmware to play them. If your switch is patched and on firmware 5.1.0, there is currently no hack for you. Deja vu wasn't totally patched up to 7.0.1 and you either wait or sell and buy a unpatched console.
 

riahc3

Well-Known Member
Member
Joined
Dec 17, 2008
Messages
301
Trophies
0
XP
349
Country
United States
That doesn't make it any less true. If you understand the security Nintendo has in place on the Switch, you will understand that, in the absence of another hardware vulnerability, 8.0.0 and higher is extremely difficult to hack.

If you have a problem with stating that patched systems on 8.0.0 and higher will probably never be hacked, take it up with SciresM. He agrees.

I don't really care. Saying something cannot be bypassed is a huge statement. Sooner or later someone will do it. And sure, it's gonna be later way later but it will be done.
 

Lacius

Well-Known Member
Member
Joined
May 11, 2008
Messages
17,350
Trophies
2
XP
16,528
Country
United States
I don't really care. Saying something cannot be bypassed is a huge statement. Sooner or later someone will do it. And sure, it's gonna be later way later but it will be done.
I didn't say it can't be bypassed. I said it probably won't be.

If you're going to say you don't care about the logistics of the security, you're going to make mistakes. They're relevant.
 

gizmomelb

Well-Known Member
Member
Joined
Jul 13, 2006
Messages
930
Trophies
0
XP
1,647
Country
Australia
I didn't say it can't be bypassed. I said it probably won't be.

"probably" has to be Lacius' favourite word.. it is used frequently in probably every discussion they have. It allows them express non-committed opinions on everything and flip flop when and if something comes to fruition they were non-committal about.
 
General chit-chat
Help Users
  • No one is chatting at the moment.
    Veho @ Veho: Is it because of the World War 3?